Subject: bug#75288: closed (Re: bug#75288: gnu: xfce4-session: xflock4 fails to run.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Jan 2025 06:22:02 +0000

Your bug report

#75288: gnu: xfce4-session: xflock4 fails to run.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75288: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75288
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75288: gnu: xfce4-session: xflock4 fails to run.
From: 宋文武 <[email-masked]>
To: Ashvith Shetty <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 12 Jan 2025 14:24:18 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Ashvith Shetty <[email-masked]> writes:

> Hello,
>
> Lock does not work anymore on XFCE 4.20, after moving from 4.18.
> When I try to run the command manually via the terminal on XFCE 4.20, this is what I get:
>
> ```console
> $ xflock4
> /gnu/store/yz669dvm1cm9nqcxkm8hq8zzgf0cy96f-profile/bin/xflock4: line 52: gdbus: command not found
> ```
> This must be because of the introduction of commit 42db188a somewhere around 4.19, making xflock4 dependent on D-Bus.
>
> Regards,
> Ashvith

Should be fixed in master now, thank you for the report!

Need do a system reconfigure with xfce-desktop-service-type, which add
'/etc/pam.d/xfce4-screensaver' for 'xfce4-screensaver'. 

Subject: gnu: xfce4-session: xflock4 fails to run.
From: Ashvith Shetty <[email-masked]>
To: [email-masked]
Cc: [email-masked], 宋文武 <[email-masked]>
Date: Thu, 2 Jan 2025 16:02:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Lock does not work anymore on XFCE 4.20, after moving from 4.18.
When I try to run the command manually via the terminal on XFCE 4.20, this
is what I get:

```console
$ xflock4
/gnu/store/yz669dvm1cm9nqcxkm8hq8zzgf0cy96f-profile/bin/xflock4: line 52:
gdbus: command not found
```
This must be because of the introduction of commit 42db188a
<https://gitlab.xfce.org/xfce/xfce4-session/-/commit/42db188a912413d099150dd9f44f008285c8a493>
somewhere around 4.19, making xflock4 dependent on D-Bus.

Regards,
Ashvith